%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdeadmin
%define is_release 1
%define is_preview 0
%define VER 2.1.1
%define DATE 20010205

%if %{is_preview}
Name: %{pkg}2
Requires: kdesupport2
Prefix: /usr/lib/kde2
%else
Name: %{pkg}
Requires: kdesupport
Prefix: /usr
Obsoletes: kpackage
%endif
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{DATE}.tar.bz2
%endif
Source1: control-panel-4.0.1.tar.bz2
Patch1: kdeadmin-2.1-kcron-workaround.patch
Patch2: kdeadmin-2.1.1-loop.patch
Icon: kde-icon.xpm
Summary: K Desktop Environment - Admin tools
Release: 3
Epoch: 7
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Copyright: GPL
ExcludeArch: sparc
Prereq: /sbin/ldconfig

%description
Administration tools for the K Desktop Environment.
Included with this package are: kpackage, kdat, kwuftpd

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q -n %{pkg}-%{version} -a 1
%else
%setup -q -n %{pkg}
%endif
%patch1 -p1 -b .kcron
%patch2 -p1 -b .loop

make -f Makefile.cvs

cd control-panel
find . -type f |xargs perl -pi -e "s,control-panel,kontrol-panel,g;s,control_panel,kontrol_panel,g;s,Control Panel,KDE Control Panel,g"
for i in control-panel* */control-panel*; do
	mv $i `echo $i |sed -e s/control-panel/kontrol-panel/g` 
done
make -f Makefile.cvs


%build
export KDEDIR=%{prefix}
export PATH=$KDEDIR/bin:$PATH
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

cd control-panel
%configure --prefix=/usr
make -j $CPUS
cd ..

CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS -fno-rtti -fno-exceptions -fno-check-new -DNDEBUG -DNO_DEBUG" \
CXXFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS -fno-rtti -fno-exceptions -fno-check-new -DNDEBUG -DNO_DEBUG" \
./configure \
	--with-rpm \
	--prefix=%{prefix} \
	--enable-final \
	--with-private-groups
make -j $CPUS

%install
make install DESTDIR=$RPM_BUILD_ROOT
cd control-panel
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/etc/skel/.gnome-desktop
mv $RPM_BUILD_ROOT/usr/bin/*kontrol-panel $RPM_BUILD_ROOT/usr/bin/kontrol-panel
mv $RPM_BUILD_ROOT/etc/X11/applnk/System/kontrol-panel.desktop $RPM_BUILD_ROOT/usr/share/applnk/System

# remove dupes from kdebase
rm -f $RPM_BUILD_ROOT/%{prefix}/share/icons/locolor/16x16/apps/{package,printer}.png

# don't use, just delete
rm -rf $RPM_BUILD_ROOT/etc/pam.d $RPM_BUILD_ROOT/etc/security

mv $RPM_BUILD_ROOT%{prefix}/share/mimelnk/application/x-debian-package.kdelnk \
   $RPM_BUILD_ROOT%{prefix}/share/mimelnk/application/x-debian-package.desktop

# fix absolute symbolic links
(
  mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/common
  cd $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en
  for i in kcron kpackage ksysv kuser kwuftpd ; do
    cd $i && ln -nfs ../common .
    cd ..
  done
)

# Put in some sane defaults
mkdir -p $RPM_BUILD_ROOT/usr/share/config
cat >$RPM_BUILD_ROOT/usr/share/config/kuserrc <<EOF
[template]
copySkel=true
createHomeDir=true
homeBase=/home
shell=/bin/bash
userPrivateGroup=true
EOF
cat >$RPM_BUILD_ROOT/usr/share/config/ksysvrc <<EOF
[Other Settings]
Configured=true
[Path Settings]
RunlevelPath=/etc/rc.d
ScriptPath=/etc/rc.d/init.d
[Runlevels]
Show Runlevels=0,1,2,3,4,5,6
EOF

# secpolicy is totally broken right now
rm %{buildroot}/usr/bin/secpolicy

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

%files
%defattr(-,root,root)
%config /etc/skel/Desktop/kontrol-panel
%config /usr/share/config/*
%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/share/applnk/Settings/System/*
%{prefix}/share/applnk/System/*
%{prefix}/share/apps/*
%{prefix}/share/icons/*/*/*/*
%{prefix}/share/kontrol-panel
%{prefix}/share/mimelnk/application/*
%{prefix}/share/mimelnk/text/*
%{prefix}/share/pixmaps/*
%lang(de) %{prefix}/share/locale/de/LC_MESSAGES/kontrol-panel.mo
%doc %{_docdir}/HTML

%changelog
* Fri Mar 23 2001 Preston Brown <pbrown@redhat.com> 2.1.1-3
- secpolicy removed for now...broken and useless.

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Fix an endless loop when switching kernels in lilo-config

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- clean up specfile

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-8
- Don't crash when deleting a cronjob (#31999)

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-7
- Fix ksysv defaults (#32000)

* Fri Mar 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix kuser defaults (#31847)

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix typo in kontrol-panel.desktop (#30001)
- Don't own standard directories
- Add Polnish translation to .desktop files from CVS

* Sun Feb 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add icons for lilo and wu-ftpd configuration in kontrol-panel
  (Bug #29347)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 2.1-respin

* Mon Feb 19 2001 Than Ngo <than@redhat.com>
- fixed dangling symlinks
- fixed kontrol-panel references lprngtool (bug #25477)
- update to 2.1

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with lilo installed in the buildroot, we want
  lilo-config

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't exclude ia64

* Sat Oct 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93
- fix up rpmv4 support

* Wed Jul 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle rpmv4 packages in kpackage (patch from Jeff Johnson <jbj@redhat.com>
  and myself)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- FHS fixes

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- clean up specfile
- new snapshot
- ExcludeArch ia64 for now - kdelibs doesn't compile there
- kill ksysctrl for now - compiler breakages.

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Fri Jan  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- work around install-strip breakage

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot
